package com.guams.review.service.mapper;

import com.guams.review.model.dao.Author;
import org.springframework.stereotype.Component;

@Component
public class Mapper {

    public Mapper() {}

    public AuthorWithToken mapAuthor(Author author) {
        return new AuthorWithToken()
                .setId(author.getId())
                .setName(author.getName())
                .setRole(author.getRole())
                .setProfilePicture(author.getProfilePicture());
    }
}
